import AddEmoji from "@icons/questionsPage/addEmoji";
import PlusImage from "@icons/questionsPage/plus";
import { Box } from "@mui/material";
import { MouseEventHandler } from "react";

export default function VariantAdornment({
  onClick,
  extendedText,
}: {
  onClick: MouseEventHandler<HTMLDivElement>;
  extendedText: string;
}) {
  return (
    <Box sx={{ cursor: "pointer" }}>
      <Box data-cy="choose-emoji-button" onClick={onClick}>
        <Box
          sx={{
            display: "flex",
            justifyContent: "center",
            alignItems: "center",
            gap: "5px",
          }}
        >
          {extendedText ? (
            <Box
              sx={{
                height: "40px",
                width: "60px",
                display: "flex",
                alignItems: "center",
                justifyContent: "space-between",
                background: "#EEE4FC",
                borderRadius: "3px",
              }}
            >
              <Box
                sx={{
                  width: "100%",
                  display: "flex",
                  justifyContent: "center",
                }}
              >
                {extendedText}
              </Box>
              <Box>
                <PlusImage />
              </Box>
            </Box>
          ) : (
            <AddEmoji />
          )}
        </Box>
      </Box>
    </Box>
  );
}
