import { EmojiIcons } from "@icons/EmojiIocns";
import { Box } from "@mui/material";
import { MouseEventHandler } from "react";

export default function VariantAdornmentMobile({
  onClick,
  extendedText,
}: {
  onClick: MouseEventHandler<HTMLDivElement>;
  extendedText: string;
}) {
  return (
    <Box
      onClick={onClick}
      sx={{
        display: "flex",
        alignItems: "center",
        m: "8px",
        position: "relative",
      }}
    >
      <Box
        sx={{
          width: "100%",
          background: "#EEE4FC",
          height: "40px",
        }}
      />
      {extendedText ? (
        <Box
          sx={{
            position: "absolute",
            color: "#7E2AEA",
            fontSize: "20px",
            left: "45%",
            right: "55%",
          }}
        >
          {extendedText}
        </Box>
      ) : (
        <EmojiIcons
          style={{
            position: "absolute",
            color: "#7E2AEA",
            fontSize: "20px",
            left: "45%",
            right: "55%",
          }}
        />
      )}
      <Box
        sx={{
          display: "flex",
          justifyContent: "center",
          alignItems: "center",
          width: "20px",
          background: "#EEE4FC",
          height: "40px",
          color: "white",
          backgroundColor: "#7E2AEA",
        }}
      >
        +
      </Box>
    </Box>
  );
}
